<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Uses of Class fr.ici.dataImporter.iciObjects.property.Sex</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="use: package: fr.ici.dataImporter.iciObjects.property, enum: Sex">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class fr.ici.dataImporter.iciObjects.property.Sex" class="title">Uses of Class<br>fr.ici.dataImporter.iciObjects.property.Sex</h1>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Packages that use <a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Package</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects.property">fr.ici.dataImporter.iciObjects.property</a></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects">
<h2>Uses of <a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a> in <a href="../../package-summary.html">fr.ici.dataImporter.iciObjects</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Fields in <a href="../../package-summary.html">fr.ici.dataImporter.iciObjects</a> declared as <a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) <a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">Individual.</span><code><span class="member-name-link"><a href="../../Individual.html#sex">sex</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../../package-summary.html">fr.ici.dataImporter.iciObjects</a> that return <a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code><a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">Individual.</span><code><span class="member-name-link"><a href="../../Individual.html#getSex()">getSex</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Constructors in <a href="../../package-summary.html">fr.ici.dataImporter.iciObjects</a> with parameters of type <a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../Individual.html#%3Cinit%3E(java.lang.String,org.locationtech.jts.geom.Point,fr.ici.dataImporter.iciObjects.property.ClassAge,fr.ici.dataImporter.iciObjects.property.Sex,java.lang.String)">Individual</a></span>&#8203;(java.lang.String&nbsp;ID,
org.locationtech.jts.geom.Point&nbsp;approximateGeom,
<a href="../ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a>&nbsp;classAge,
<a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a>&nbsp;sex,
java.lang.String&nbsp;householdID)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../../Individual.html#%3Cinit%3E(org.locationtech.jts.geom.Point,fr.ici.dataImporter.iciObjects.property.ClassAge,fr.ici.dataImporter.iciObjects.property.Sex,java.lang.String)">Individual</a></span>&#8203;(org.locationtech.jts.geom.Point&nbsp;approximateGeom,
<a href="../ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a>&nbsp;classAge,
<a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a>&nbsp;sex,
java.lang.String&nbsp;householdID)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects.property">
<h2>Uses of <a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a> in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects.property</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects.property</a> that return <a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static <a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">Sex.</span><code><span class="member-name-link"><a href="../Sex.html#valueOf(java.lang.String)">valueOf</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="col-last">
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static <a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a>[]</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Sex.</span><code><span class="member-name-link"><a href="../Sex.html#values()">values</a></span>()</code></th>
<td class="col-last">
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
